proctitle.h File Reference

API for process title setting. More...

Go to the source code of this file.

## Functions

void | proctitle_init (int, char **)
| Initializes the process setting variables. More...
void | proctitle_set (const char *,...)
| Sets the process' title. More...

## Detailed Description

API for process title setting.

## Function Documentation

## proctitle_init()

void proctitle_init | ( | int | argc,
|  | char ** | argv
| ) |  |

Initializes the process setting variables.

Parameters

  [in] | argc | Argc argument from main.
  [in] | argv | Argv argument from main.

## proctitle_set()

void proctitle_set | ( | const char * | new_title,
|  |  | ...
| ) |  |

Sets the process' title.

Parameters

  [in] | new_title | Format string for new process title.
  [in] | ... | Arguments for format string.